Bug 728044 - VUL-0: freetype2 buffer overflow
VUL-0: freetype2 buffer overflow
Status: VERIFIED DUPLICATE of bug 730124
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: General
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Juergen Weigert
Security Team bot
maint:running:43952:important maint:r...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 13:08 UTC by Ludwig Nussel
Modified: 2012-04-23 12:54 UTC (History)
1 user (show)

See Also:
Found By: Other
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2011-11-03 13:08:28 UTC
Your friendly security team received the following report via mitre.
Please respond ASAP.
The issue is public.

-------8<-------
======================================================
Name: CVE-2011-3256

FreeType 2 before 2.4.7, as used in CoreGraphics in Apple iOS before 5, Mandriva Enterprise Server 5, and possibly other products, allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted font, a different vulnerability than CVE-2011-0226.


Reference: CONFIRM: https://sourceforge.net/projects/freetype/files/freetype2/2.4.7/README/view
Reference: MANDRIVA: http://www.mandriva.com/security/advisories?name=MDVSA-2011:157
Reference: CONFIRM: http://support.apple.com/kb/HT4999
Reference: APPLE: http://lists.apple.com/archives/Security-announce/2011//Oct/msg00001.html


http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=9c98fbf634a83c6ea286395f0e788956eafd5aeb
Comment 1 Swamp Workflow Management 2011-11-03 13:11:23 UTC
The SWAMPID for this issue is 43952.
This issue was rated as important.
Please submit fixed packages until 2011-11-10.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 4 Swamp Workflow Management 2012-04-23 12:54:03 UTC
Update released for: freetype2, freetype2-32bit, freetype2-debuginfo, freetype2-devel, freetype2-devel-32bit, ft2demos, ft2demos-debuginfo
Products:
SLE-SERVER 10-SP2-LTSS (i386, s390x, x86_64)